/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* ---------- FUENTE ---------- */

@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

body {
  font-family: 'Outfit', sans-serif;
}

/* ---------- OUTLINE ---------- */

*:focus {
  outline: 5px solid orange;
}

/* ---------- ESTILOS COMUNES ---------- */

.zindex0 {
  z-index: 0;
}

.zindex1 {
  z-index: 1;
}

a {
  text-decoration: none;
}

a,
a:hover {
  transition: all 0.4s ease !important;
}

/* ---------- FORMULARIO DE CONTACTO ---------- */

input#nombre,
input#telefono,
input#email {
  background-color: var(--c-blanco) !important;
  border-bottom: 2px solid var(--c-primario);
  margin-top: 5px;
  width: 100%;
}

#form-contacto textarea.wpcf7-form-control {
  background-color: var(--c-blanco) !important;
  border-bottom: 2px solid var(--c-primario);
  margin-top: 5px;
  width: 100%;
  max-height: 150px;
}

/* ---------- LOGOS KIT DIGITAL ---------- */

.logos-kit-digital {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.logos-kit-digital img {
  display: block;
  max-width: 21%;
  padding: 0 20px;
}

.logos-kit-digital > img:last-child {
  max-width: 15%;
}

/* ---------- CAPTCHA ---------- */

.grecaptcha-badge {
  display: none;
}

/* ---------- HEADER ---------- */

header {
  margin-bottom: 60px;
}

.home header,
.page-id-507 header {
  margin-bottom: 0;
}

.home .main-navigation .main-nav ul li a,
.home .gp-icon svg {
  color: #ffffff;
}

.home .main-navigation .main-nav ul li.contacto-menu a {
  color: #000000;
}

.toggled .gp-icon svg,
button.menu-toggle:hover,
button.menu-toggle:focus {
  color: #000000;
}

.inside-header > .site-branding,
.inside-header > .navigation-branding,
.inside-header > .site-logo,
.site-branding-container,
#site-navigation .navigation-branding .site-logo,
#sticky-navigation .navigation-branding {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;
}

#site-navigation {
  margin-left: unset !important;
  display: flex;
}

.site-header .main-navigation:not(#sticky-navigation) .inside-navigation {
  margin: unset;
}

.top-bar {
  position: relative;
  z-index: 1;
}

#site-navigation,
#primary-menu,
.main-navigation .inside-navigation {
  flex: 1;
}

.main-navigation .main-nav ul li.current-menu-item a {
  box-shadow: 0 3px #F4F2E6;
}

.main-navigation .main-nav ul.sub-menu {
  padding: 10px 0;
}

.main-navigation .main-nav ul.sub-menu li.current-menu-item a {
  box-shadow: none;
}

.main-navigation .main-nav ul li.contacto-menu.current-menu-item a {
  box-shadow: none;
}

.main-navigation li {
  margin: 0 15px;
}

.main-navigation ul li.menu-item:nth-child(3) {
  margin-left: 15px;
}

/* Change nth-child(#) to first item to right */

.main-navigation ul li:nth-child(3) {
  margin-left: auto;
}

/* ---------- Slideshow ---------- */

.swiper-slide-inner img.swiper-slide-image {
  border: solid 3px #ffffff;
  width: 100%;
  height: 400px;
  -o-object-fit: cover;
  object-fit: cover;
  font-family: 'object-fit: cover;';
}

/* ---------- CONTACTO MENU ---------- */

.contacto-menu {
  background-color: #F4F2E6;
  padding: 0 30px;
}

.contacto-menu:hover {
  opacity: .9;
}

/* ---------- FOOTER ---------- */

.site.footer-widgets {
  margin: 90px 0 40px;
}

.footer-widgets .widget {
  margin-bottom: 15px;
}

.inside-footer-widgets {
  flex-wrap: wrap;
  font-size: 14px;
}

.inside-footer-widgets > div.footer-widget-1 {
  display: flex;
  flex: 100%;
}

.footer-widget-1 aside:first-child {
  min-width: 25%;
}

.footer-widget-1 img {
  width: 225px;
  margin-top: -3px;
}

.footer-widget-2,
.footer-widget-3,
.footer-widget-4 {
  flex: 1 1 25%;
}

/* ---------- MOBILE MENU ---------- */

.mobile-menu-open .gp-icon {
  color: black;
}

.mobile-menu-open ul.menu li.menu-item a {
  color: black;
}

/* ---------- GALLERY ---------- */

.gallery-item img {
  aspect-ratio: 1 / 1;
  width: 100%;
  object-fit: cover;
}

/* ---------- RESPONSIVE ---------- */

@media screen and (max-width: 1080px) {

  /* LOGOS KIT DIGITAL */

  .logos-kit-digital img {
    max-width: 210px;
  }

  .logos-kit-digital > img:last-child {
    max-width: 23%;
  }

}

@media screen and (max-width: 1100px) {

/* ---------- MOBILE MENU ---------- */

  .mobile-menu-open .site-content .elementor-element:first-child {
    --margin-top: 0;
  }

  .has-inline-mobile-toggle #site-navigation.toggled {
    margin: 20px 0;
  }

  .mobile-menu-control-wrapper .menu-toggle,
  .mobile-menu-control-wrapper .menu-toggle:hover,
  .mobile-menu-control-wrapper .menu-toggle:focus,
  .has-inline-mobile-toggle #site-navigation.toggled {
    font-size: 22px;
    background-color: transparent;
    padding: 0;
    border: none;
    color: #000000;
  }

  .inside-header > .site-branding,
  .inside-header > .navigation-branding,
  .inside-header > .site-logo,
  .site-branding-container,
  #site-navigation .navigation-branding .site-logo,
  #sticky-navigation .navigation-branding {
    position: relative;
    left: 0px;
    transform: translateX(0%);
    z-index: 1000;
  }

  .main-navigation .main-nav ul li a {
    line-height: 40px;
    padding-left: 0;
    padding-right: 0;
  }

  .main-navigation li {
    margin: 0;
  }

  .main-navigation ul li.menu-item:nth-child(3) {
    margin-left: 0;
  }

  .main-navigation .main-nav ul li.current-menu-item a {
    margin-bottom: 10px;
  }

  /* ---------- CONTACTO MENU ---------- */

  .contacto-menu {
    background-color: #ffffff;
    padding: 0;
  }

  .contacto-menu:hover {
    opacity: 1;
  }

}


@media screen and (max-width: 768px) {

  /* ---------- FOOTER ---------- */

  .inside-footer-widgets > div.footer-widget-1 {
    display: block;
  }
}

@media screen and (max-width: 600px) {

  /* LOGOS KIT DIGITAL */

  .logos-kit-digital img {
    max-width: 165px;
    padding: 10px 5px;
  }

  .logos-kit-digital > img:last-child {
    max-width: 40%;
  }

}

@media screen and (max-width: 560px) {

}